package dev.kske.chess.pgn;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

import dev.kske.chess.exception.ChessException;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>PGNDatabase.java</strong><br>
 * Created: <strong>4 Oct 2019</strong><br>
 * 
 * @since Chess v0.5-alpha
 * @author Kai S. K. Engelbart
 */
public class PGNDatabase {

	private final List<PGNGame> games = new ArrayList<>();

	public void load(File pgnFile) throws FileNotFoundException, ChessException {
		Scanner sc = new Scanner(pgnFile);
		while (sc.hasNext())
			games.add(PGNGame.parse(sc));
		sc.close();
	}

	public void save(File pgnFile) throws FileNotFoundException {
		PrintWriter pw = new PrintWriter(pgnFile);
		games.forEach(g -> g.writePGN(pw));
		pw.close();
	}

	public List<PGNGame> getGames() { return games; }
}
